Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.tcp
Class ExceptionReturnTcpMessageReceiver.TcpWorker

    java.lang.Object
      org.mule.transport.AbstractReceiverWorker
          org.mule.transport.AbstractReceiverResourceWorker
              org.mule.transport.tcp.TcpMessageReceiver.TcpWorker
                  org.mule.transport.tcp.ExceptionReturnTcpMessageReceiver.TcpWorker

All Implemented Interfaces:
  Runnable, javax.resource.spi.work.Work, Disposable, Expirable

Enclosing class:
  ExceptionReturnTcpMessageReceiver

    protected class ExceptionReturnTcpMessageReceiver.TcpWorker

extends TcpMessageReceiver.TcpWorker

Field Summary

Fields inherited from class org.mule.transport.tcp.TcpMessageReceiver.TcpWorker
`dataIn, dataInWorkFinished, dataOut, notify, protocol, socket, underlyingIn`

Fields inherited from class org.mule.transport.AbstractReceiverResourceWorker
`resource`

Fields inherited from class org.mule.transport.AbstractReceiverWorker
`endpoint, messages, out, receiver`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ExceptionReturnTcpMessageReceiver.TcpWorker(Socket socket, AbstractMessageReceiver receiver)`

Method Summary
`protected Object` | `getNextMessage(Object resource)` The method used to read the next message from the underlying transport.

Methods inherited from class org.mule.transport.tcp.TcpMessageReceiver.TcpWorker
`bindTransaction, dispose, expired, handleResults, hasMoreMessages, preRouteMuleMessage, release, shutdownSocket`

Methods inherited from class org.mule.transport.AbstractReceiverResourceWorker
`doRun`

Methods inherited from class org.mule.transport.AbstractReceiverWorker
`postProcessMessage, preProcessMessage, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionReturnTcpMessageReceiver.TcpWorker

    public ExceptionReturnTcpMessageReceiver.TcpWorker(Socket socket,
                                                       AbstractMessageReceiver receiver)
                                                throws IOException

Throws:
  `IOException`

Method Detail

### getNextMessage

    protected Object getNextMessage(Object resource)
                             throws Exception

  Description copied from class: `AbstractReceiverResourceWorker`
  The method used to read the next message from the underlying transport.

  Overrides:
    `getNextMessage` in class `TcpMessageReceiver.TcpWorker`
  Parameters:
    `resource` - the resource to read from, this may be a socket, a directory or some higher level representation.
  Returns:
    the message read from the resource. This can be raw data such as a byte[].
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.